Bug 990029 - [RFE] enable gfid to path conversion
[RFE] enable gfid to path conversion
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
high Severity urgent
: ---
: RHGS 3.1.0
Assigned To: Raghavendra G
Amit Chaurasia
: FutureFeature
Depends On:
Blocks: 1202842
  Show dependency treegraph
 
Reported: 2013-07-30 05:27 EDT by Ram Raja
Modified: 2015-10-27 20:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 990028
Environment:
Last Closed: 2015-07-29 00:28:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ram Raja 2013-07-30 05:27:28 EDT
+++ This bug was initially created as a clone of Bug #990028 +++

Description of problem:
Currently marker and changelog translators for certain cases need to know the pathname of a file given just the file's gfid.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Raghavendra G 2015-04-15 02:05:43 EDT
A patch is committed with commit id d6dc8d0e9e2052818c9858f6b073a8bacc3fca88 on rhs-2.1.

Following functionality is missing currently:

* healing of parent information for existing hardlinks. Though, the feature works fine for newly created hardlinks.
* Performance impact was not measured.

However, closing this bug since the above two can be addressed as new bugs if necessary.

Upstream patch:
http://review.gluster.org/5951

regards,
Raghavendra.
Comment 4 Amit Chaurasia 2015-07-14 04:43:52 EDT
Verified on the latest build of 

. 
[root@dht-rhs-22 ~]# rpm -qa | grep -i gluster
glusterfs-fuse-3.7.1-9.el6rhs.x86_64
python-gluster-3.7.1-9.el6rhs.x86_64
glusterfs-devel-3.7.1-9.el6rhs.x86_64
glusterfs-client-xlators-3.7.1-9.el6rhs.x86_64
glusterfs-server-3.7.1-9.el6rhs.x86_64
glusterfs-rdma-3.7.1-9.el6rhs.x86_64
glusterfs-3.7.1-9.el6rhs.x86_64
glusterfs-cli-3.7.1-9.el6rhs.x86_64
glusterfs-geo-replication-3.7.1-9.el6rhs.x86_64
glusterfs-libs-3.7.1-9.el6rhs.x86_64
glusterfs-api-devel-3.7.1-9.el6rhs.x86_64
glusterfs-api-3.7.1-9.el6rhs.x86_64
glusterfs-debuginfo-3.7.1-9.el6rhs.x86_64
[root@dht-rhs-22 ~]# 


[root@dht-rhs-22 ~]# getfattr -n glusterfs.ancestry.path -e text /mnt/glusterfs/.gfid/736a5599-e227-43ef-9b6a-b64fe3ae324e
getfattr: Removing leading '/' from absolute path names
# file: mnt/glusterfs/.gfid/736a5599-e227-43ef-9b6a-b64fe3ae324e
glusterfs.ancestry.path="/test/testfile_4"

[root@dht-rhs-22 ~]# getfattr -d -m . -e hex /bricks/brick0/testvol/test/testfile_4 
getfattr: Removing leading '/' from absolute path names
# file: bricks/brick0/testvol/test/testfile_4
security.selinux=0x73797374656d5f753a6f626a6563745f723a66696c655f743a733000
trusted.gfid=0x736a5599e22743ef9b6ab64fe3ae324e
trusted.glusterfs.quota.07e92414-b729-4da0-9337-ce6b09c6e5b2.contri=0x00000000000000000000000000000001
trusted.pgfid.07e92414-b729-4da0-9337-ce6b09c6e5b2=0x00000001

[root@dht-rhs-22 ~]# 
[root@dht-rhs-22 ~]# getfattr -d -m . -e hex /bricks/brick0/testvol/test
getfattr: Removing leading '/' from absolute path names
# file: bricks/brick0/testvol/test
security.selinux=0x73797374656d5f753a6f626a6563745f723a66696c655f743a733000
trusted.gfid=0x07e92414b7294da09337ce6b09c6e5b2
trusted.glusterfs.dht=0x00000001000000007fffba08ffffffff
trusted.glusterfs.quota.00000000-0000-0000-0000-000000000001.contri=0x0000000000000000000000000000000a0000000000000001
trusted.glusterfs.quota.dirty=0x3000
trusted.glusterfs.quota.size=0x0000000000000000000000000000000a0000000000000001
Comment 6 errata-xmlrpc 2015-07-29 00:28:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html

Note You need to log in before you can comment on or make changes to this bug.